namespace ynhtm.Theme.Template
{
    public interface IListProvider
    {
        bool IsPageUrl(string url);
        string GetPageUrl(string url, int index);
        string GetFirstUrl(string url);
        string GetLastUrl(string url, int pageCount);
        string GetNextUrl(string url, int pageCount);
        int GetPageIndex(string url);
        string GetPrevUrl(string url);
        string GetSourceUrl(string url);
    }
}